Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu.io
Class ChunkBuffer

    java.lang.Object
      juzu.io.ChunkBuffer

All Implemented Interfaces:
  Appendable, Streamable

    public class ChunkBuffer

extends Object
implements Streamable, Appendable

Author:
  Julien Viet

Constructor Summary
`ChunkBuffer()`
`ChunkBuffer(Thread.UncaughtExceptionHandler errorHandler)`

Method Summary
`Appendable` | `append(char c)`
`Appendable` | `append(CharSequence csq)`
`Appendable` | `append(CharSequence csq, int start, int end)`
`ChunkBuffer` | `append(Chunk chunk)`
`ChunkBuffer` | `append(Iterable<Chunk> chunks)`
`ChunkBuffer` | `close()`
`void` | `send(Stream stream)` Send the chunks to the stream.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChunkBuffer

    public ChunkBuffer()

### ChunkBuffer

    public ChunkBuffer(Thread.UncaughtExceptionHandler errorHandler)

Method Detail

### append

    public Appendable append(CharSequence csq)
                      throws IOException

  Specified by:
    `append` in interface `Appendable`
  Throws:
    `IOException`

### append

    public Appendable append(CharSequence csq,
                             int start,
                             int end)
                      throws IOException

  Specified by:
    `append` in interface `Appendable`
  Throws:
    `IOException`

### append

    public Appendable append(char c)
                      throws IOException

  Specified by:
    `append` in interface `Appendable`
  Throws:
    `IOException`

### append

    public ChunkBuffer append(Iterable<Chunk> chunks)

### append

    public ChunkBuffer append(Chunk chunk)

### send

    public void send(Stream stream)

  Description copied from interface: `Streamable`
  Send the chunks to the stream.

  Specified by:
    `send` in interface `Streamable`
  Parameters:
    `stream` - the stream

### close

    public ChunkBuffer close()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 eXo Platform SAS. All rights reserved.